%define	build_plf 0

%if %{mdkversion} < 200610
%define	build_dbus 0
%else
%define	build_dbus 1
%endif

%define	build_perl 1
%define	build_python 1
%define	build_tcl 1

%{?_with_plf: %{expand: %%global build_plf 1}}

%{?_without_dbus: %{expand: %%global build_dbus 0}} 
%{?_with_dbus: %{expand: %%global build_dbus 1}} 

%{?_without_perl: %{expand: %%global build_perl 0}} 
%{?_with_perl: %{expand: %%global build_perl 1}} 

%{?_without_python: %{expand: %%global build_python 0}} 
%{?_with_python: %{expand: %%global build_python 1}} 

%{?_without_tcl: %{expand: %%global build_tcl 0}} 
%{?_with_tcl: %{expand: %%global build_tcl 1}} 

%define subrel 1
%define	name	xchat
%define	version	2.8.4
%define	rel	6
%define	main_summary	Graphical IRC client
%define	perl_version	%(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define	iconname	xchat.png 

%if %build_plf
%define	distsuffix plf
%endif 

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Summary:	%{main_summary}
Group:		Networking/IRC
License:	GPLv2+
Url:		http://www.xchat.org
Source:		http://www.xchat.org/files/source/2.8/%{name}-%{version}.tar.bz2
Patch0:		xchat-2.6.4-ctcp_version.patch
Patch2:		xchat-2.0.8-nicksuffix.patch
Patch3:		xchat-2.6.1-servlist.patch
Patch4:		xchat-2.4.1-firefox.patch
Patch5:		xc284-fix-scrollbfdleak.diff
Patch6:		xc284-improvescrollback.diff
Patch7:		xc284-scrollbmkdir.diff
Patch8:         xchat-2.8.6-CVE-2009-0315-debian.patch
Obsoletes:	xchat-dbus < 2.6.8
Provides:	xchat-dbus = %{version}-%{release}
Obsoletes:	xchat-systray-integration < 2.4.6
# To get the balloon alerts working
Requires:	libnotify
BuildRequires:	bison
Buildrequires:	gtk+2-devel
BuildRequires:	openssl-devel
BuildRequires:	ImageMagick
BuildRequires:	GConf2
BuildRequires:	desktop-file-utils
BuildRequires:	libsexy-devel
BuildRequires:	gettext-devel
%if %build_perl
BuildRequires:	perl-devel
%endif
%if %build_python
BuildRequires:	python-devel
%endif
%if %build_tcl
BuildRequires:	tcl
%if %{mdkversion} >= 200610
BuildRequires:	tcl-devel
%endif
%endif
%if %build_dbus
BuildRequires:	dbus-glib-devel 
%endif
%if %build_plf
BuildRequires:	socks5-devel
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
X-Chat is yet another IRC client for the X Window System, using the Gtk+
toolkit. It is pretty easy to use compared to the other Gtk+ IRC clients and
the interface is quite nicely designed.

%package devel
Summary:	XChat header for plugin development
Group:		Development/C

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}
Requires:	perl-base = %perl_version

%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description tcl
Provides tcl scripting capability to XChat.

%prep
%setup -q
%patch0
%patch2 -p1
%patch3 -p0 -b .default_server
%patch4 -p0 -b .firefox
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1 -b .cve-2009-0315

%build

%if %{mdkversion} < 1010
%define	__libtoolize /bin/true
%endif

./autogen.sh

%configure2_5x  --enable-openssl \
		--enable-ipv6 \
		--enable-hebrew \
		--enable-japanese-conv \
%if %build_perl
		--enable-perl \
%else
		--disable-perl \
%endif
%if %build_dbus
		--enable-dbus \
%else
		--disable-dbus \
%endif
%if %build_python
		--enable-python \
%else
		--disable-python \
%endif
%if %build_tcl
		--enable-tcl=%{_libdir} \
%else
	        --disable-tcl
%endif
		--disable-textfe \
		--enable-spell=libsexy \
%if %build_plf
		--enable-socks
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert xchat.png -geometry 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{iconname}
convert xchat.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
convert xchat.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/xchat.desktop

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="IRCClient" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

rm -rf %{buildroot}%{_libdir}/xchat/plugins/*.la

%post
%{update_menus}
%update_icon_cache hicolor

%if %build_dbus
%post_install_gconf_schemas apps_xchat_url_handler

%preun 
%preun_uninstall_gconf_schemas apps_xchat_url_handler
%endif

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -fr %{buildroot}

%files -f xchat.lang
%defattr(-,root,root)
%doc README ChangeLog faq.html plugins/plugin20.html
%{_bindir}/xchat
%{_datadir}/applications/xchat.desktop
%{_datadir}/dbus-1/services/org.xchat.service.service
%{_datadir}/pixmaps/xchat.png
%{_iconsdir}/hicolor/*/apps/*.png
%dir %{_libdir}/xchat/plugins
%dir %{_libdir}/xchat
%{_sysconfdir}/gconf/schemas/apps_xchat_url_handler.schemas

%files devel
%defattr(-,root,root)
%{_includedir}/xchat-plugin.h

%if %build_perl
%files perl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/perl.so
%endif

%if %build_python
%files python
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/python.so
%endif

%if %build_tcl
%files tcl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/tcl.so
%endif


%changelog
* Fri Feb 27 2009 Rafael Cabral <cabral@mandriva.com> 2.8.4-6.1mdv2008.1
- security fix for CVE-2009-0315

* Sun Jan 20 2008 Pascal Terjan <pterjan@mandriva.org> 2.8.4-6mdv2008.1
+ Revision: 155395
- rebuild for new perl

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.4-5mdv2008.1
+ Revision: 133854
- add 3 upstream patches (fixes scrollback and a mem leak)
- new license policy
- do not package COPYING file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.4-4mdv2008.0
+ Revision: 90368
- rebuild

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.8.4-3mdv2008.0
+ Revision: 82091
- remove extension from icon file name
- rebuild for new soname of tcl

* Tue Aug 28 2007 Pascal Terjan <pterjan@mandriva.org> 2.8.4-2mdv2008.0
+ Revision: 72749
- Require libnotify to get the balloon alerts working

* Wed Jul 04 2007 Pascal Terjan <pterjan@mandriva.org> 2.8.4-1mdv2008.0
+ Revision: 47879
- 2.8.4
- drop latin9 patch, no time to work on it

* Fri Jun 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.2-3mdv2008.0
+ Revision: 42663
- add missing macros
- rebuild
- drop old menu stule
- drop X-Mandriva
- move icons to the fd.o directory


* Wed Apr 04 2007 Pascal Terjan <pterjan@mandriva.org> 2.8.2-1mdv2007.1
+ Revision: 150658
- Disable p5 for now, it's really broken
- 2.8.2
- Update p5
- Drop p6

* Sat Mar 10 2007 Pascal Terjan <pterjan@mandriva.org> 2.8.0-2mdv2007.1
+ Revision: 140571
- bump release
- Use autogen.sh to update po/ for new gettext

  + Frederic Crozat <fcrozat@mandriva.com>
    -Fix .desktop file category
    -Obsolete xchat-systray-integration

* Fri Jan 05 2007 Pascal Terjan <pterjan@mandriva.org> 2.8.0-1mdv2007.1
+ Revision: 104546
- 2.8.0
- add upstream patch fixing /back
- add a patch to provide ISO-8859-15/UTF-8 hybrid charset

* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 2.6.8-2mdv2007.1
+ Revision: 95301
- Rebuild for new python

* Wed Oct 18 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.8-1mdv2007.0
+ Revision: 65946
- BuildRequires dbus-glib-devel instead of dbus-devel
- BuildRequires gettext-devel
- 2.6.8
- DBUS plugin is no longer a plugin
- Import xchat

* Sat Aug 12 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.6-3mdv2007.0
- Fix crash in filechoser when dbus plugin loaded (P5)

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.6-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 19 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.6-1mdv2007.0
- New release 2.6.6
- Drop P5
- Use libsexy for spellchecking

* Tue Jul 04 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.4-3mdv2007.0
- Fix group of -devel subpackage
- Escape %% in changelog

* Tue Jul 04 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.4-2mdv2007.0
- Remove invalid category from desktop file

* Fri Jun 09 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.4-1mdv2007.0
- New release 2.6.4
- Fix source URL
- Add upstream patch to fix proxy (P5)
- Updated P0

* Sun May 07 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.2-3mdk
- BuildRequires desktop-file-utils

* Fri May 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.2-2mdk
- Add categories to desktop file
- fix preun script

* Tue Mar 28 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.2-1mdk
- 2.6.2
- don't ship .la from plugins

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-4mdk
- Rebuild with latest dbus

* Mon Jan 23 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.1-3mdk
- rebuild for new perl

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.1-2mdk
- Ease backports

* Sat Jan 07 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.1-1mdk
- 2.6.1
- Drop Patch5 (fixed upstream)
- Drop xchat-text, broken again. Nobody should really miss it.
- Update Patch3

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.0-7mdk
- rebuilt to pickup new tcl lib

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.6.0-6mdk
- rebuilt against openssl-0.9.8a

* Mon Nov 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.0-5mdk
- add BuildRequires: libtool (for dbus plugin) GConf2

* Sat Nov 05 2005 Michael Scherer <misc@mandriva.org> 2.6.0-4mdk
- fix %%post script ( error when registering the handler ), thanks yanntech
- complete --with/--without

* Fri Nov 04 2005 Pascal Terjan <pterjan@mandriva.org> 2.6.0-3mdk
- add new options to the description

* Thu Nov 03 2005 Michael Scherer <misc@mandriva.org> 2.6.0-2mdk
- add mkrel
- add with and without option for perl/python/dbus/tcl
- place xchat-remote and the schema in the dbus package

* Thu Nov 03 2005 Pascal Terjan <pterjan@mandriva.org> 2.6.0-1mdk
- 2.6.0
- Drop patch5
- New Patch5 (fix fe-text building)
- New subpackage for dbus plugin
- Install gconf schemas

* Sat Sep 24 2005 Eskild Hustvedt <eskild@mandriva.org> 2.4.5-2mdk
- Fixed menu (bug #18808)

* Mon Sep 12 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.5-1mdk
- 2.4.5
- patch5 from upstream fixing a crash
- Updated patch3

* Wed Jun 22 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.4-1mdk
- 2.4.4
- become rpmbuildupdate aware

* Wed Jun 08 2005 Marcel Pol <mpol@mandriva.org> 2.4.3-4mdk
- update P3: s/mandrake/mandriva

* Fri May 20 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.3-3mdk
- Rebuild for new perl

* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.3-2mdk
- Don't require specific version of python/tcl as the correct lib is already
  required. For perl we only require libperl.so so we really need to specify
  the version.

* Sun Apr 03 2005 Pascal Terjan <pterjan@mandrake.org> 2.4.3-1mdk
- 2.4.3

* Sun Mar 20 2005 Pascal Terjan <pterjan@mandrake.org> 2.4.2-1mdk
- 2.4.2
- Drop patch6

* Sat Jan 15 2005 Pascal Terjan <pterjan@mandrake.org> 2.4.1-4mdk
- fix P4

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.4.1-3mdk
- really rebuild for new python...

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.4.1-2mdk
- rebuild for new python

* Tue Nov 23 2004 Pascal Terjan <pterjan@mandrake.org> 2.4.1-1mdk
- 2.4.1
- fix URL handler for firefox (P4)
- fix xchat-text build (P5 from CVS)

* Mon Nov 15 2004 Pascal Terjan <pterjan@mandrake.org> 2.4.0-3mdk
- rebuild for new perl

* Tue Sep 07 2004 Marcel Pol <mpol@mandrake.org> 2.4.0-2mdk
- patch3, default server/channel set to FreeNode/#mandrake

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 2.4.0-1mdk
- 2.4.0
- Drop patches 3 and 4

* Thu Aug 05 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.10-3mdk
- New version of Patch4

* Tue Jul 27 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.10-2mdk
- Package xchat-plugin.h in a -devel

* Wed Jul 14 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.10-1mdk
- 2.0.10
- Official patches for focus and completion (P3 and P4)
- Drop P1 (old completion no longer exists)

* Fri Jul 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.9-3mdk
- Rebuild for new perl

* Fri Jun 11 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.9-2mdk
- Rebuild for new python

* Sun Jun 06 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.9-1mdk
- 2.0.9
- Drop patch3

* Wed Apr 28 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.8-5mdk
- Apply patch to fix socks5 (only used in plf...)

* Wed Apr 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.8-4mdk
- Add Patch2 to keep : as nick separator after completion
  (patch from Sunny Dubey <sunny@opencurve.org>)

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 2.0.8-3mdk 
- rebuild for new perl

